#### D.6.3.9 arnoldMorseSplit

Procedure from library `arnoldclassify.lib` (see arnoldclassify_lib).

Usage:
  arnoldMorseSplit(f); f poly

Assume:
  base ring is local, f in maxideal(2) has isolated critical point at 0

Compute:
  result of Splitting Lemma applied to f

Return:
  polynomial g in maxideal(3) right equivalent to f

Example:

    LIB "arnoldclassify.lib";
    ring r=0,(x,y,z),ds;
    export r;
    poly f=(x2+3y-2z)^2+xyz-(x-y3+x2*z3)^3;
    poly g=arnoldMorseSplit(f);
    g;
    ==> 3/2x2y-y3

User manual for Singular version 4.4.1, 2025, generated by texi2html.